//
// Tesina di Elaborazione Numerica dei Segnali 1997-98 (Mian)
//
// Cappelletti Lorenzo  lency@dei.unipd.it
// Spangaro Raffaele    keatch@dei.unipd.it
//
//
// Calcolo del rumore di calcolo 
//

// Coefficienti QUANTIZZATI a 15 bit. Ripple = .1

a  = [  2.211914062500000E-01,  6.650390625000000E-01;
       -2.019042968750000E-01,  1.248168945312500E-01 ];

b  = [ -1.495361328125000E-01 *2, -2.232666015625000E-01 *2;
       -7.674560546875000E-01,  6.238403320312500E-01];

G  = 1.528381347656250E+00;


// Modulo e fase dei poli

r  = sqrt(a([1:2],2));

l  = acos(-a([1:2],1)./(2*r));


// Calcolo del rumore

Gr = zeros(2,1);

for n = 0:50
   Gr = Gr + ...
      ( G*r^(n-1).*(r.*b([1:2],1).*sin((n+1)*l)+b([1:2],2).*sin(n*l))...
        ./ sin(l) )^2;
end;

Gr(3)=G^2


// Rumore totale

Gtot = sum(Gr)
